Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoSFVec3f Class Reference
[Field classes]

`#include <Inventor/fields/SoSFVec3f.h>`

Inheritance diagram for SoSFVec3f:

List of all members.

## Detailed Description

The SoSFVec3f class is a container for an SbVec3f vector.

This field is used where nodes, engines or other field containers needs to store a single vector with three elements.

See also:
  SoMFVec3f

## Public Member Functions
void | setValue (const float x, const float y, const float z)
void | setValue (const float xyz[3])
## Static Public Member Functions
void | initClass (void)

## Member Function Documentation

void SoSFVec3f::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoSField.

void SoSFVec3f::setValue | ( | const float | x,
|  | const float | y,
|  | const float | z
| ) |

| Set value of vector.

void SoSFVec3f::setValue | ( | const float | xyz[3] | ) |

| Set value of vector.

The documentation for this class was generated from the following files:

- SoSFVec3f.h
- SoSFVec3f.cpp